function I = makeCircle(iminfo)

% First generate the image with the right dimensions and save it.
N = min(iminfo.Height, iminfo.Width);
rad = N/3;
[x, y] = meshgrid(1:iminfo.Width, 1:iminfo.Height);
I = sqrt((x-iminfo.Width/2).^2 + (y-iminfo.Height/2).^2);
Ibin = I<rad;
I(:,:,1) = Ibin;
I(:,:,2) = Ibin;
I(:,:,3) = Ibin;
